if IsAddOnLoaded("Bartender3") then

	local function Bartender3_Buttons_UpdateCountList(add)
		local ab = Bartender3.actionbuttons
		for i = 1, 120 do
			local name = "BT3Button"..i
			local button = getglobal(name)
			
			if button and button:IsVisible() and ab[i] and ab[i].state == "used" then
				local id = ab[i].object:PagedID()
				local frame = getglobal("BT3Button"..i.."Count")
				if id and frame then
					add(frame, "action", id)
				end
			end
		end
	end

	local ltc = ltc
	ltc.Bartender3_Button_UpdateCount = Bartender3.Class.Button.prototype.UpdateCount
	function Bartender3.Class.Button.prototype:UpdateCount()
		local frame = self.frame.count
		local info = ltc:GetCountList()[frame]
		if info then
			ltc:UpdateCount (frame, info)
		else
			ltc.Bartender3_Button_UpdateCount (self)
		end
	end

	ltc:RegisterPlugin(Bartender3_Buttons_UpdateCountList)
end
